*** Master do-file for AI and skills/jobs analysis
*** Date: March 2025


clear
set varabbrev on
version 18

** Set the path
global path 	""
global do	 	"$path\Code"
global data  	"$path\Data\"
global figure 	"$path\Figures"
global tables   "$path\Tables"


** Install the packages needed 
sysdir set PLUS "${path}/Code/ado"
/*
cap ssc install estout 
cap ssc install grc1leg
cap ssc install wbopendata
cap ssc install grstyle
cap ssc install iscogen
cap ssc install entropyetc
cap ssc install filelist
*/

* Harmonize and append the surveys to one dataset
do "$do\Harmonize and append survey.do"

* Harmonize the I2D2 to the GLD nomenclatura
do "$do\I2D2 to GLD.do"


* Combine with the AIOE dataset and harmonise to ISCO 08 version
*SOC ISCO crosswalk
do "$do\ISCO SOC.do"

* Create ISCO 08 version for all GLD datasets and add the AIOE information from the ISCO SOC crosswalk 
do "$do\ISCO.do"


* Impute the electricity data
do "$do\Imputation.do"


* Conduct the AIOE analysis
do "$do\Analysis_AIOE_last.do"
